This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 748350 - a traceback on PPC
a traceback on PPC
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 04:49 EDT by Daniel Mach
Modified: 2013-07-04 08:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 10:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2011-10-24 04:49:53 EDT
Lorax failed on PPC with following traceback:


DEBUG util.py:257:  Creating 4.0 filesystem on .../work/ppc64/squashfs.img, block size 131072.
DEBUG util.py:257:  
[=====\                                                      ]  1500/16384   9%
[============/                                               ]  3500/16384  21%
[===========================================================/] 16384/16384 100%
DEBUG util.py:257:  Exportable Squashfs 4.0 filesystem, xz compressed, data block size 131072
DEBUG util.py:257:  	compressed data, compressed metadata, compressed fragments, compressed xattrs
DEBUG util.py:257:  	duplicates are removed
DEBUG util.py:257:  Filesystem size 155939.20 Kbytes (152.28 Mbytes)
DEBUG util.py:257:  	7.44% of uncompressed filesystem size (2097216.33 Kbytes)
DEBUG util.py:257:  Inode table size 11934 bytes (11.65 Kbytes)
DEBUG util.py:257:  	18.17% of uncompressed inode table size (65674 bytes)
DEBUG util.py:257:  Directory table size 58 bytes (0.06 Kbytes)
DEBUG util.py:257:  	100.00% of uncompressed directory table size (58 bytes)
DEBUG util.py:257:  Number of duplicate files found 0
DEBUG util.py:257:  Number of inodes 3
DEBUG util.py:257:  Number of files 1
DEBUG util.py:257:  Number of fragments 0
DEBUG util.py:257:  Number of symbolic links  0
DEBUG util.py:257:  Number of device nodes 0
DEBUG util.py:257:  Number of fifo nodes 0
DEBUG util.py:257:  Number of socket nodes 0
DEBUG util.py:257:  Number of directories 2
DEBUG util.py:257:  Number of ids (unique uids + gids) 1
DEBUG util.py:257:  Number of uids 1
DEBUG util.py:257:  	root (0)
DEBUG util.py:257:  Number of gids 1
DEBUG util.py:257:  	root (0)
DEBUG util.py:257:  running kernel wrapper
DEBUG util.py:257:  Traceback (most recent call last):
DEBUG util.py:257:    File "/usr/bin/pungi", line 222, in <module>
DEBUG util.py:257:      main()
DEBUG util.py:257:    File "/usr/bin/pungi", line 124, in main
DEBUG util.py:257:      mypungi.doBuildinstall()
DEBUG util.py:257:    File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 845, in doBuildinstall
DEBUG util.py:257:      workdir=workdir, outputdir=outputdir)
DEBUG util.py:257:    File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 454, in run
DEBUG util.py:257:      i.create_initrd(self.libdir)
DEBUG util.py:257:    File "/usr/lib/python2.7/site-packages/pylorax/images.py", line 293, in create_initrd
DEBUG util.py:257:      stdout=subprocess.PIPE)
DEBUG util.py:257:    File "/usr/lib64/python2.7/subprocess.py", line 679, in __init__
DEBUG util.py:257:      errread, errwrite)
DEBUG util.py:257:    File "/usr/lib64/python2.7/subprocess.py", line 1228, in _execute_child
DEBUG util.py:257:      raise child_exception
DEBUG util.py:257:  OSError: [Errno 2] No such file or directory
DEBUG util.py:340:  Child returncode was: 1
Comment 1 Martin Gracik 2012-07-23 08:53:57 EDT
Does this still happen with the latest version?
Comment 2 Daniel Mach 2012-07-23 10:19:22 EDT
I haven't experienced any such problems lately. I think it's safe to close this bug.

Note You need to log in before you can comment on or make changes to this bug.